<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<itemFormativoEsercizio nomeDescrittivo="Uso del motore" identificatoreArgomento="MotoreSemplice" prerequisiti="digitalOutput,multipsu,psudimensioning" tags="Base,DigitalOutput,Dimensionamento elettrico" fondamentale="false" mdPblproblem="false" mdPblnewlearninggoal="false" tempoRichiesto="0" tipoTempo="Ore" versione="2">
    <mdprerequisitelist>Dimensionamento elettrico</mdprerequisitelist>
    <mdprerequisitelist>Circuiti con più alimentazioni</mdprerequisitelist>
    <mdcomponentlist>motore</mdcomponentlist>
    <mdcomponentlist>relè (es. KY-019)</mdcomponentlist>
    <mdcomponentlist>pile/batterie adeguate al motore da alimentare</mdcomponentlist>
    <mdwhy>I GPIO possono erogare solo una corrente limitata, di norma intorno ai 20 mA o poco più, quindi per carichi elevati si devono utilizzare attuatori pilotati con un input digitale e un'alimentazione apposita.</mdwhy>
    <mdexpectedresult>Controllare via software l'accensione e lo spegnimento di un motore, ad esempio costruendo un blink che accende e spegne il motore al posto del LED integrato.&#13;
&#13;
Dato che il motore non si può alimentare con i GPIO perché il consumo è eccessivo (&gt;&gt; 20 mA) si deve alimentare con delle pile/batterie con la tensione necessaria e servirà un relè come interruttore.</mdexpectedresult>
    <mdextras></mdextras>
    <mderraticbehavior>Inversione accensione e spegnimento, in caso il modulo relè abbia uno switch per invertire gli effetti dell'input HIGH/LOW</mderraticbehavior>
    <mdcommonerrors>Errori di connessione</mdcommonerrors>
    <mdlessonlearned>Utilizzo del relè per controllare un carico con propria alimentazione.</mdlessonlearned>
    <mdsolution>Collegare motore e relè come indicato nello schema, fare attenzione a scegliere un pacco batterie adeguato alla tensione richiesta dal motore e al suo consumo, verificandone prima le caratteristiche.</mdsolution>
    <mdpbldetails></mdpbldetails>
    <risorseCollegate>
        <datiRisorsaCollegata>
            <nomeFile>arduino-motor-relay_bb.png</nomeFile>
            <testoDescrittivo>Controllo motore con modulo relè</testoDescrittivo>
            <identificativoFile></identificativoFile>
        </datiRisorsaCollegata>
    </risorseCollegate>
</itemFormativoEsercizio>
